Loading...
Searching...
No Matches
itk::OpenCLKernelToImageBridge< TImage > Class Template Reference

`#include <itkOpenCLKernelToImageBridge.h>`

## Detailed Description

template<typename TImage>
class itk::OpenCLKernelToImageBridge< TImage >

Definition at line 42 of file itkOpenCLKernelToImageBridge.h.

## Public Types

using | ImagePixelType = typename ImageType::PixelType
using | ImagePointer = typename ImageType::ConstPointer
using | ImageRegionType = typename ImageType::RegionType
using | ImageType = TImage
using | Self = OpenCLKernelToImageBridge

## Public Member Functions

virtual const char * | GetNameOfClass () const
| itkStaticConstMacro (ImageDimension, unsigned int, TImage::ImageDimension)

## Static Public Member Functions

static void | SetDirection (OpenCLKernel &kernel, const cl_uint argumentIndex, const typename ImageType::DirectionType &direction)
static void | SetImage (OpenCLKernel &kernel, const cl_uint argumentIndex, const typename ImageType::Pointer &image, const bool updateCPU)
static void | SetImageDataManager (OpenCLKernel &kernel, const cl_uint argumentIndex, const typename GPUDataManager::Pointer imageDataManager, const bool updateCPU)
static void | SetImageMetaData (OpenCLKernel &kernel, const cl_uint argumentIndex, const typename ImageType::Pointer &image, typename GPUDataManager::Pointer &imageMetaDataManager)
static void | SetOrigin (OpenCLKernel &kernel, const cl_uint argumentIndex, const typename ImageType::PointType &origin)
static void | SetSize (OpenCLKernel &kernel, const cl_uint argumentIndex, const typename ImageType::SizeType &size)

## Protected Member Functions

| OpenCLKernelToImageBridge ()
virtual | ~OpenCLKernelToImageBridge ()

## Private Member Functions

| OpenCLKernelToImageBridge (const Self &other)
const Self & | operator= (const Self &)

## Member Typedef Documentation

## ImagePixelType

template<typename TImage>

using itk::OpenCLKernelToImageBridge< TImage >::ImagePixelType = typename ImageType::PixelType

Definition at line 52 of file itkOpenCLKernelToImageBridge.h.

## ImagePointer

template<typename TImage>

using itk::OpenCLKernelToImageBridge< TImage >::ImagePointer = typename ImageType::ConstPointer

Definition at line 50 of file itkOpenCLKernelToImageBridge.h.

## ImageRegionType

template<typename TImage>

using itk::OpenCLKernelToImageBridge< TImage >::ImageRegionType = typename ImageType::RegionType

Definition at line 51 of file itkOpenCLKernelToImageBridge.h.

## ImageType

template<typename TImage>

using itk::OpenCLKernelToImageBridge< TImage >::ImageType = TImage

Image class typedefs.

Definition at line 49 of file itkOpenCLKernelToImageBridge.h.

## Self

template<typename TImage>

using itk::OpenCLKernelToImageBridge< TImage >::Self = OpenCLKernelToImageBridge

Standard class typedefs.

Definition at line 46 of file itkOpenCLKernelToImageBridge.h.

## Constructor & Destructor Documentation

## OpenCLKernelToImageBridge() [1/2]

template<typename TImage>

itk::OpenCLKernelToImageBridge< TImage >::OpenCLKernelToImageBridge | ( |  | ) |

protected

## ~OpenCLKernelToImageBridge()

template<typename TImage>

virtual itk::OpenCLKernelToImageBridge< TImage >::~OpenCLKernelToImageBridge | ( |  | ) |

inline protected virtual

Definition at line 93 of file itkOpenCLKernelToImageBridge.h.

## OpenCLKernelToImageBridge() [2/2]

template<typename TImage>

itk::OpenCLKernelToImageBridge< TImage >::OpenCLKernelToImageBridge | ( | const Self & | other | ) |

private

## Member Function Documentation

## GetNameOfClass()

template<typename TImage>

virtual const char * itk::OpenCLKernelToImageBridge< TImage >::GetNameOfClass | ( |  | ) | const

inline virtual

Run-time type information (and related methods).

Definition at line 59 of file itkOpenCLKernelToImageBridge.h.

## itkStaticConstMacro()

template<typename TImage>

itk::OpenCLKernelToImageBridge< TImage >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | TImage::ImageDimension | )

ImageDimension constants

## operator=()

template<typename TImage>

const Self & itk::OpenCLKernelToImageBridge< TImage >::operator= | ( | const Self & |  | ) |

private

## SetDirection()

template<typename TImage>

void itk::OpenCLKernelToImageBridge< TImage >::SetDirection | ( | OpenCLKernel & | kernel,
|  | const cl_uint | argumentIndex,
|  | const typename ImageType::DirectionType & | direction )

static

## SetImage()

template<typename TImage>

void itk::OpenCLKernelToImageBridge< TImage >::SetImage | ( | OpenCLKernel & | kernel,
|  | const cl_uint | argumentIndex,
|  | const typename ImageType::Pointer & | image,
|  | const bool | updateCPU )

static

## SetImageDataManager()

template<typename TImage>

void itk::OpenCLKernelToImageBridge< TImage >::SetImageDataManager | ( | OpenCLKernel & | kernel,
|  | const cl_uint | argumentIndex,
|  | const typename GPUDataManager::Pointer | imageDataManager,
|  | const bool | updateCPU )

static

## SetImageMetaData()

template<typename TImage>

void itk::OpenCLKernelToImageBridge< TImage >::SetImageMetaData | ( | OpenCLKernel & | kernel,
|  | const cl_uint | argumentIndex,
|  | const typename ImageType::Pointer & | image,
|  | typename GPUDataManager::Pointer & | imageMetaDataManager )

static

## SetOrigin()

template<typename TImage>

void itk::OpenCLKernelToImageBridge< TImage >::SetOrigin | ( | OpenCLKernel & | kernel,
|  | const cl_uint | argumentIndex,
|  | const typename ImageType::PointType & | origin )

static

## SetSize()

template<typename TImage>

void itk::OpenCLKernelToImageBridge< TImage >::SetSize | ( | OpenCLKernel & | kernel,
|  | const cl_uint | argumentIndex,
|  | const typename ImageType::SizeType & | size )

static

Generated on 1768596610 for elastix by 1.15.0 |